• I can't run this OpenGL app properly on Linux


    I am trying to run an obscure branch of Blender right now but I can’t get it to work. It is supposed to have a real-time rendering engine with nice graphics and whatnot. Anyways, when I run it I get this error:

    GPUShader: compile error:
    0:2431(12): warning: extension `GL_EXT_gpu_shader4' unsupported in fragment shader
    0:2431(1): error: #extension directive is not allowed in the middle of a shader
    

    From what I can find on the internet this is just a problem with the Mesa driver not allowing extensions in shaders. I end up with every object having no shading and being black. Can I enable GL_EXT_gpu_shader in Mesa options? This worked just fine on Windows 8.1 but not on Linux.

    My system specs are:

    1. CPU: Intel Core i5-2520M @ 4x 3.2GHz
    2. RAM: 8G
    3. GPU: Intel HD graphics 3000
    4. OS: Antergos Deepin 15.5

    In case anyone is wondering, yes! I have tried the Windows version and it still has the same problem.

properly24 app19 opengl10 Posts 2Views 236
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.